org.keycloak.services.resources.admin.permissions

## Class AdminPermissions

- java.lang.Object
- - org.keycloak.services.resources.admin.permissions.AdminPermissions

-     public class AdminPermissions
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminPermissions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdminPermissionEvaluator` | `evaluator(KeycloakSession session, RealmModel realm, AdminAuth auth)`
    `static AdminPermissionEvaluator` | `evaluator(KeycloakSession session, RealmModel realm, RealmModel adminsRealm, UserModel admin)`
    `static AdminPermissionManagement` | `management(KeycloakSession session, RealmModel realm)`
    `static RealmsPermissionEvaluator` | `realms(KeycloakSession session, AdminAuth auth)`
    `static RealmsPermissionEvaluator` | `realms(KeycloakSession session, RealmModel adminsRealm, UserModel admin)`
    `static void` | `registerListener(ProviderEventManager manager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminPermissions

          public AdminPermissions()

  - ### Method Detail

    - #### evaluator

          public static AdminPermissionEvaluator evaluator(KeycloakSession session,
                                                           RealmModel realm,
                                                           AdminAuth auth)

    - #### evaluator

          public static AdminPermissionEvaluator evaluator(KeycloakSession session,
                                                           RealmModel realm,
                                                           RealmModel adminsRealm,
                                                           UserModel admin)

    - #### realms

          public static RealmsPermissionEvaluator realms(KeycloakSession session,
                                                         AdminAuth auth)

    - #### realms

          public static RealmsPermissionEvaluator realms(KeycloakSession session,
                                                         RealmModel adminsRealm,
                                                         UserModel admin)

    - #### management

          public static AdminPermissionManagement management(KeycloakSession session,
                                                             RealmModel realm)

    - #### registerListener

          public static void registerListener(ProviderEventManager manager)

Copyright © 2020 JBoss by Red Hat. All rights reserved.